Description

When selecting in polygon it is usually yellow, or a color that one can choose in the options. It would be neat, if one could also choose a

selection pattern. I would prefer something like diagonal black stripes with transparent in between. That way the color and pattern of the

selected polygons are still visible in the transparent parts of the pattern, but I also know I have it currently selected.

History

#1 - 2014-07-11 01:57 AM - Giovanni Manghi

- Category set to Map Canvas

#2 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2018-08-21 04:44 AM - Igor Evdokimov

We strongly need to make hatched selection of polygons. Even standard hatches/line pattern

(diagonal, cross, etc.) will be enough, but not simple "color fill", as it is now in QGis.

So now I had to implement this with rule-based symbology using <is_selected()> function

on map features. With this workaround on ~60 rules all works fine also, but on 4000 - very slow.

I think is is worth to make full-featured instrument of "selection pattern" tuning

(as it is in style editor, for example).

#4 - 2018-08-21 11:37 AM - Giovanni Manghi

Igor Evdokimov wrote:

We strongly need to make hatched selection of polygons

Consider supporting the work to implement this feature or submitting a patch. Cheers!

#5 - 2018-08-21 12:20 PM - Igor Evdokimov

Giovanni Manghi wrote:

Consider supporting the work to implement this feature or submitting a patch. Cheers!
Interesting idea, I'll try ;-)
